#ifndef FACEDETECTOR_H
#define FACEDETECTOR_H

#include "utils.h"

class FaceDetector{
public:
    enum ErrorCode {
        NO_ERROR           = 0,
        INPUT_DATA_ERROR   = 1,
        FAILED_TO_INITIALIZE_HANDLE =2,
        FAILED_TO_INFERENCE = 3
    };
public:
    FaceDetector(const std::string &model_path, int num_thread = 2);
    ~FaceDetector();
    ErrorCode run(const cv::Mat &image);
    std::vector<FaceBox> getOutput();
private:
    void *algorithm_handle;
    ErrorCode error_code;
};

#endif //FACEDETECTOR_H
