#ifndef FACELANDMARK_H
#define FACELANDMARK_H

#include "utils.h"

class FaceLandmarkDetector {
public:
    enum ErrorCode {
        NO_ERROR = 0,
        INPUT_DATA_ERROR = 1,
        FAILED_TO_INITIALIZE_HANDLE = 2,
        FAILED_TO_INFERENCE = 3
    };
public:
    FaceLandmarkDetector(const std::string &model_path, int num_thred = 2);
    ~FaceLandmarkDetector();
    ErrorCode run(const cv::Mat &image, const FaceBox &box);
    std::vector<FacialPoint> getLandmark();
    HeadPose getHeadpose();
    FacialKeyRegionScore getScore();
public:
    void *algorithm_handle;
    ErrorCode error_code;
};

#endif //FACELANDMARK_H
