#ifndef HEADPOSE_H
#define HEADPOSE_H

#include "utils.h"

class HeadPoseEstimator {
public:
    enum ErrorCode {
        NO_ERROR           = 0,
        INPUT_DATA_ERROR   = 1,
        FAILED_TO_INITIALIZE_HANDLE =2,
        FAILED_TO_INFERENCE = 3
    };

public:
    HeadPoseEstimator(const std::string &model_path, int num_thread = 2);
    ~HeadPoseEstimator();
    ErrorCode run(const cv::Mat &image, const FaceBox &box);
    HeadPose getOutput();

public:
    void *algorithm_handle;
    ErrorCode error_code;
};

#endif //HEADPOSE_H
