#ifndef UTILS_H
#define UTILS_H
#include <iostream>
#include <memory>
#include <opencv2/opencv.hpp>

typedef struct {
    float x1;
    float y1;
    float x2;
    float y2;
    float score;
} FaceBox;

typedef struct {
    float yaw;
    float pitch;
    float roll;
} HeadPose;

typedef struct {
    float x;
    float y;
} FacialPoint;

typedef struct {
    float left_eye_score;
    float right_eye_score;
    float mouth_score;
}FacialKeyRegionScore;

namespace Utils {
    FaceBox getSquareBox(const FaceBox box);
    FaceBox expandBox(const float width_expand_factor, const float height_expand_factor, const FaceBox box);
    FaceBox makeBoxInImage(const cv::Mat img, const FaceBox box);
}

#endif //UTILS_H
