//
//  FAFaceHandleTool.h
//  HuaweiDetectionSDK
//
//  Created by Huawei on 2020/8/8.
//  Copyright © 2020 Huawei. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import "HWFAConfig.h"
#import "HWFAError.h"

NS_ASSUME_NONNULL_BEGIN

@protocol FAFaceHandleToolDelegate <NSObject>

@optional

/// 检测失败后回调
/// @param error 返回检测状态，空代表没有错误 ,见HWFAErrorItem
- (void)detectFaceToolStatusBack:(HWFAError *)error;

/// 检测超时
- (void)detectFaceToolTimeOut;

// SDK开始检测下一个动作
- (void)detectFaceToolNextAction:(FaceDetectType)action;

// SDK最后一个动作检测完成
- (void)detectFaceToolEndActionWithImage:(UIImage *)image;

// SDK完成所有检测动作
// @param isSuccess 活体检测结果
- (void)detectFaceToolDetectComplate:(BOOL)isSuccess;

@end

@interface FAFaceHandleTool : NSObject

+ (instancetype)shareDefualt;

@property (weak, nonatomic) id<FAFaceHandleToolDelegate> sk_delegate;
@property (assign, nonatomic) BOOL complet; // 是否检查完成

/// 人脸识别检测方法
/// @param image Mat图标信息
/// @param type 当前检测动作
/// @param index 用于记录当前调用次数
- (void)detectFaceWithMat:(cv::Mat)image actionType:(FaceDetectType)type index:(int)index;

- (void)resetDetectFaceConfig;

/// 获取验证成功后的图片
- (UIImage *)getResultImage;

- (NSString *)NSDataFromCVMat;

/// 销毁对象
- (void)releaseInstance;
@end

NS_ASSUME_NONNULL_END
