//
//  HWFAConfigItem.h
//  HuaweiFaceAntispoofingLibrary
//
//  Created by liuzhao on 2021/7/27.
//  Copyright © 2021 Somer.King. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "HWFAConfig.h"

NS_ASSUME_NONNULL_BEGIN

@interface HWFAConfigItem : NSObject

/**
 SDK远程检测服务端接口参数，接口版本，目前支持版本为v1、v2，详见接入地址说明
 */
@property (strong, nonatomic) NSString *apiVersion;

/**
 SDK远程检测服务端接口参数，接口地址，详见接口地址说明
 */
@property (strong, nonatomic) NSString *apiEndpoint;

/**
 SDK授权信息，华为云线下对接分配的 Licence
 */
@property (strong, nonatomic) NSString *sdkLicense;

/**
 检查次数 传0默认2次，设置活体检测总共需要检测多少个动作才算成功
 */
@property (assign, nonatomic) int detectTimes;

/**
 人脸身份认证的类型支持：
 FaceDetectTypeTurnLeft,
 FaceDetectTypeTurnRight,
 FaceDetectTypeNod,
 FaceDetectTypeOpenMouth,
 FaceDetectTypeBlinkEye
 */
@property (assign, nonatomic) FaceDetectType detectType;

/**
 每个动作检测超时 传0默认15*1000ms
 */
@property (assign, nonatomic) int timeoutMs;

/**
 SDK远程检测服务端接口参数，华为云线下对接分配的 PROJECT_ID
 */
@property (strong, nonatomic) NSString *projectId;

/**
 检测灵敏度 默认2s (>=0)
 */
@property (readonly, assign, nonatomic) float detectSensitivity;

/**
 语言，传入字符串：en zh-Hans，默认简体中文
 */
@property (strong, nonatomic) NSString *language;


@end

NS_ASSUME_NONNULL_END
