//
//  RREkycConfig.h
//  RREkycSDK
//
//  Created by wxq on 2021/7/9.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>

NS_ASSUME_NONNULL_BEGIN

typedef NS_ENUM(NSInteger, RREkycTag) {
    ///the tag of backButton
    RREkycTagBack = 100,
    ///the tag of nextButton in the face introduce
    RREkycTagFaceNext = 101,
    ///the tag of idButton in the certificate introduce
    RREkycTagCertificateID = 201,
    ///the tag of passport in the certificate introduce
    RREkycTagCertificatePassport = 202,
    ///the tag of view in the cameraView
    RREkycTagCameraImage = 301,
    ///the tag of cameraButton in the cameraView;
    RREkycTagCameraButton = 302,
    ///the tag of imageView in the photo preview
    RREkycTagPreviewImage = 401,
    ///the tag of nextButton in the photo preview
    RREkycTagPreviewNext = 402,
    ///the tag of tryButton in the photo preview
    RREkycTagPreviewTry = 403,
    ///the tag of tipLabel in the faild view
    RREkycTagFaildTip = 501,
    ///the tag of tryButton in the faild view
    RREkycTagFaildTry = 502,
    ///the tag of abortButton in the faild view
    RREkycTagFaildAbort = 503,
};

@interface RREkycConfig : NSObject

///Liveliness  Detection introduce view
@property (nonatomic, strong) UIView *faceIntroduceView;
///certificate introduce view
@property (nonatomic, strong) UIView *cerIntroduceView;
///camera preview view, camera suggest size is (width:321pt, height:210pt)
@property (nonatomic, strong) UIView *cameraPreviewView;
///capture photo view, the imageView's suggest size is (width:321pt, height:210pt) in the photoView
@property (nonatomic, strong) UIView *photoView;
///loading view
@property (nonatomic, strong) UIView *loadingView;
///fail view
@property (nonatomic, strong) UIView *faildView;
///network error view
@property (nonatomic, strong) UIView *networkView;
///the back image in the living detect view
@property (nonatomic, strong) UIImage *liveDetectBackImage;
///the tip text color in the living detect view, default color is white color
@property (nonatomic, strong) UIColor *liveDetectTextColor;
///the type of certificate, 0 is default type ,it is idCard and passport; 1:idCard 2:passport
@property (nonatomic, strong) NSString *certificateType;
///the background color in the living detect view, default color is 0x1F4299
@property (nonatomic, strong) UIColor *liveDetectBackColor;
///the background color in the living detect action imageView, default color is rgba(217,228,255,0.20)
@property (nonatomic, strong) UIColor *liveDetectActionImageBackColor;

+ (instancetype _Nonnull)shareInstance;

@end

NS_ASSUME_NONNULL_END
