//
//  RREkycSDK.h
//  RREkycSDK
//
//  Created by wxq on 2021/7/9.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import "RREkycSDKConfig.h"

@interface RREkycSDK : NSObject

@property (nonatomic, copy) OCRResult _Nullable verifyResult;

@property (nonatomic, weak) id<RREkycSDKDelegate> _Nullable delegate;

///init instance
+ (instancetype _Nonnull)defaultManage;

/**
 Init SDK
 @param license SDK license information, Huawei cloud offline docking distribution Licence
 @param language   "en": english; "zh":Chinese; "km":Khmer; "my":my-MM
 @param publicKey Public key obtained offline from app
 @param countryCode default is SDKCountryCodeKHM, Cambodia is KH
 @param serverType the server address, default test
 */
- (void)initFaceSDKConfigWithLicense:(NSString *_Nonnull)license
                            Language:(NSString *_Nonnull)language
                           publicKey:(NSString *_Nonnull)publicKey
                         countryCode:(SDKCountryCode)countryCode
                              server:(SDKEnvironment)serverType;

/**
 Init SDK detectionType
 @param detectionType  detection service Type
 @param detectionTimes face verify times
 @param seconds face verify time out seconds
 @param result  init sdk result, if it is true , You can keep using it
 */
- (void)initFaceSDKWithDetectionType:(RREKycSDKdetectionType)detectionType
                detectionTimes:(NSInteger)detectionTimes
                timeoutSeconds:(NSInteger)seconds
                        result:(void (^_Nullable)(BOOL isSuccess))result;

/**
 Call SDK
 @param currentVC current ViewController
 @param parameter if detectionType is  RREKycSDKdetectionTypeSingleCompare,  parameter is ---> @{@"image1Base64":@"xxxx" ,@"image2Base64":@"xxxx"}
 */
- (void)startSdkWithParameter:(NSDictionary *_Nullable)parameter ViewController:(UIViewController *_Nonnull)currentVC verifyResult:(OCRResult _Nullable )verifyResult;

@end
