//
//  Header.h
//  RREkycSDK
//
//  Created by wxq on 2022/4/8.
//

#import "XNSDKNetworkModel.h"
#import "RREkycConfig.h"

#ifndef Header_h
#define Header_h

typedef NS_ENUM(NSInteger, RREKycSDKdetectionType) {
    RREKycSDKdetectionTypeFaceToIDCard, // first liveness detect and second OCR
    RREKycSDKdetectionTypeSingleFace, //single liveness detect
    RREKycSDKdetectionTypeSingleCard, //single OCR
    RREKycSDKdetectionTypeSingleCompare, //single the face compare with the certificate
};

typedef NS_ENUM(int, SDKEnvironment) {
    SDKEnvironmentTEST, // test
    SDKEnvironmentUAT, //uat
    SDKEnvironmentPRO, //production
};

typedef NS_ENUM(int, SDKCountryCode) {
    SDKCountryCodeKHM, // Cambodia
    SDKCountryCodeMM, // Myanmar
};

/**
 SDK verify result
 @param model verify result
 model.code:detectionType is RREKycSDKdetectionTypeSingleCompare , 500 is faild
 model.status:0 is successfully, 1 is faild, 2 is cancel
 model.data:verify result
*/
typedef void (^OCRResult)(XNNetworkModel *_Nullable model);

@protocol RREkycSDKDelegate <NSObject>

@optional

/// Certificate Select Type
/// @param type RREkycTagCertificateID:Nid,RREkycTagCertificatePassport:Passport
- (void)eKycCertificateSelectType:(RREkycTag)type;

@end

#endif /* Header_h */
